get
https://api.staging.bancocdc.com.br/v2/transactions/
Route to retrieve a list of transactions of a bank account using it's unique bank account code and based on the filters passed
Response Parameters
| Parameters | Format | Description |
|---|---|---|
| return | boolean | Response status ( true / false ) |
| message | String | Response message |
| page | Number | Page on this request |
| total_pages | Number | Total pages on this request |
| registries | Number | Registries on this request |
| total_registries | Number | Total registries on this request |
| data | Array of objects | Response data |
| code | String | Client Partner identification |
| e2e | String | End to end from the transaction |
| code_transaction_type | String | Code transaction type |
| transaction_type | String | Transaction type |
| created_at | String | Created at |
| amount | String | Transaction amount |
| origin_account | String | Origin account |
| receiver_name | String | Receiver name |
| transaction_control | String | Transaction control info |
| code_transaction_control | String | Code transaction control |
Transaction Type
| value | Description |
|---|---|
| 1 | PIX |
| 2 | TED |
| 3 | DOC |
| 4 | P2P |
| 5 | BOLETO |
| 6 | DEPOSIT BOLETO |
| 7 | CARD |
| 8 | REVERSAL |
| 14 | TAX |
Transaction Control
| value | Description |
|---|---|
| 1 | sent |
| 2 | received |